#include <iostream>
#include <vector>
#include <numeric>
#include <algorithm>
#include <cmath>
#include <set>
using namespace std;

#define all(x) x.begin(), x.end()
#define sz(x) static_cast<lng>(x.size())

using lng = long long;

void solve() {
	lng n, m; cin >> n >> m;
	vector<lng> x(m);
	for (lng& i : x) {
		cin >> i;
	}
	cout << x[0] * (n - 1ll) + x[0] * ((m - n) % 2ll) << '\n';
}

int main() { 
	cin.tie(nullptr)->sync_with_stdio(false);
	int t = 1;
	cin >> t;
	while (t--) {
		solve();
	}
	return 0;
}